<div class="component-correct-width">
  <div fxLayout="row" fxLayoutAlign="space-between center">
    <div fxLayout="column" fxFlex="100%">
      <div fxLayout="row">
        <div fxLayout="column" fxFlex="28%" class="bheader">
          <div fxLayout="row" fxLayoutAlign="end center">
            {{dailyOrderMonthSummarys[0]?.day | date: 'MMMM y'}}
          </div>
        </div>
        <div fxLayout="column" fxFlex="10%" class="bheader">
          <div fxLayout="row">
            <button mdTooltip="Next month" md-icon-button [routerLink]="['/chef/orders', getNextYear(), getNextMonth()]"><i class="material-icons">keyboard_arrow_up</i></button>
            <button mdTooltip="Previous month" md-icon-button [routerLink]="['/chef/orders', getPreviousYear(), getPreviousMonth()]"><i class="material-icons">keyboard_arrow_down</i></button>
          </div>
        </div>
      </div>
      <div fxLayout="row">
        <div fxLayout="column" fxFlex="28%" class="sheader">
          <div fxLayout="row" fxLayoutAlign="end center">
            Your orders
          </div>
        </div>
      </div>
    </div>
    <div fxLayout="column">
      <app-chef-nav-bar>
      </app-chef-nav-bar>
    </div>
  </div>
  <main class="mdl-layout__content">
  </main>
  <md-spinner class="big-spinner" *ngIf="loading"></md-spinner>
  <div *ngIf="!loading" class="flex-container" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap">
    <div class="days" fxFlex="20%" *ngFor="let day of dayNames">
      {{day}}
    </div>
    <div fxFlex="20%" *ngFor="let dayAfter of daysAfterMonday">

    </div>
    <div class="flex-item" fxFlex="20%" [fxFlex.gt-md]="regularDistribution" *ngFor="let dm of dailyOrderMonthSummarys; let idx = index">
      <app-ordertotal [totalPr]="totalPrice[idx]" [dailyOrderMonthSummary]="dm"></app-ordertotal>
    </div>
  </div>
</div>
